<profile>
    <ReportVersion>
        <Version>2022.1</Version>
    </ReportVersion>
    <UserAssignments>
        <unit>ns</unit>
        <ProductFamily>zynq</ProductFamily>
        <Part>xc7z020-clg400-1</Part>
        <TopModelName>cache_module</TopModelName>
        <TargetClockPeriod>10.00</TargetClockPeriod>
        <ClockUncertainty>2.70</ClockUncertainty>
        <FlowTarget>vivado</FlowTarget>
    </UserAssignments>
    <PerformanceEstimates>
        <PipelineType>no</PipelineType>
        <SummaryOfTimingAnalysis>
            <unit>ns</unit>
            <EstimatedClockPeriod>6.917</EstimatedClockPeriod>
        </SummaryOfTimingAnalysis>
        <SummaryOfOverallLatency>
            <unit>clock cycles</unit>
            <Best-caseLatency>4</Best-caseLatency>
            <Average-caseLatency>10</Average-caseLatency>
            <Worst-caseLatency>14</Worst-caseLatency>
            <Best-caseRealTimeLatency>40.000 ns</Best-caseRealTimeLatency>
            <Average-caseRealTimeLatency>0.100 us</Average-caseRealTimeLatency>
            <Worst-caseRealTimeLatency>0.140 us</Worst-caseRealTimeLatency>
            <Interval-min>5</Interval-min>
            <Interval-max>15</Interval-max>
        </SummaryOfOverallLatency>
    </PerformanceEstimates>
    <AreaEstimates>
        <Resources>
            <BRAM_18K>0</BRAM_18K>
            <FF>164</FF>
            <LUT>730</LUT>
            <URAM>0</URAM>
            <DSP>0</DSP>
        </Resources>
        <AvailableResources>
            <BRAM_18K>280</BRAM_18K>
            <DSP>220</DSP>
            <FF>106400</FF>
            <LUT>53200</LUT>
            <URAM>0</URAM>
        </AvailableResources>
    </AreaEstimates>
    <InterfaceSummary>
        <RtlPorts>
            <name>ap_clk</name>
            <Object>cache_module</Object>
            <Type>return value</Type>
            <Scope/>
            <IOProtocol>ap_ctrl_hs</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
        </RtlPorts>
        <RtlPorts>
            <name>ap_rst</name>
            <Object>cache_module</Object>
            <Type>return value</Type>
            <Scope/>
            <IOProtocol>ap_ctrl_hs</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
        </RtlPorts>
        <RtlPorts>
            <name>ap_start</name>
            <Object>cache_module</Object>
            <Type>return value</Type>
            <Scope/>
            <IOProtocol>ap_ctrl_hs</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
        </RtlPorts>
        <RtlPorts>
            <name>ap_done</name>
            <Object>cache_module</Object>
            <Type>return value</Type>
            <Scope/>
            <IOProtocol>ap_ctrl_hs</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
        </RtlPorts>
        <RtlPorts>
            <name>ap_idle</name>
            <Object>cache_module</Object>
            <Type>return value</Type>
            <Scope/>
            <IOProtocol>ap_ctrl_hs</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
        </RtlPorts>
        <RtlPorts>
            <name>ap_ready</name>
            <Object>cache_module</Object>
            <Type>return value</Type>
            <Scope/>
            <IOProtocol>ap_ctrl_hs</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
        </RtlPorts>
        <RtlPorts>
            <name>address</name>
            <Object>address</Object>
            <Type>scalar</Type>
            <Scope/>
            <IOProtocol>ap_none</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>32</Bits>
            <Attribute>data</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>dirty</name>
            <Object>dirty</Object>
            <Type>pointer</Type>
            <Scope/>
            <IOProtocol>ap_vld</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>data</Attribute>
            <CType>bool</CType>
        </RtlPorts>
        <RtlPorts>
            <name>dirty_ap_vld</name>
            <Object>dirty</Object>
            <Type>pointer</Type>
            <Scope/>
            <IOProtocol>ap_vld</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
            <CType>bool</CType>
        </RtlPorts>
        <RtlPorts>
            <name>hit</name>
            <Object>hit</Object>
            <Type>pointer</Type>
            <Scope/>
            <IOProtocol>ap_vld</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>data</Attribute>
            <CType>bool</CType>
        </RtlPorts>
        <RtlPorts>
            <name>hit_ap_vld</name>
            <Object>hit</Object>
            <Type>pointer</Type>
            <Scope/>
            <IOProtocol>ap_vld</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
            <CType>bool</CType>
        </RtlPorts>
        <RtlPorts>
            <name>data</name>
            <Object>data</Object>
            <Type>pointer</Type>
            <Scope/>
            <IOProtocol>ap_vld</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>8</Bits>
            <Attribute>data</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>data_ap_vld</name>
            <Object>data</Object>
            <Type>pointer</Type>
            <Scope/>
            <IOProtocol>ap_vld</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>updateSet</name>
            <Object>updateSet</Object>
            <Type>scalar</Type>
            <Scope/>
            <IOProtocol>ap_none</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>8</Bits>
            <Attribute>data</Attribute>
            <CType>uint</CType>
        </RtlPorts>
        <RtlPorts>
            <name>updateWay</name>
            <Object>updateWay</Object>
            <Type>scalar</Type>
            <Scope/>
            <IOProtocol>ap_none</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>8</Bits>
            <Attribute>data</Attribute>
            <CType>uint</CType>
        </RtlPorts>
        <RtlPorts>
            <name>newTag</name>
            <Object>newTag</Object>
            <Type>scalar</Type>
            <Scope/>
            <IOProtocol>ap_none</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>32</Bits>
            <Attribute>data</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>updateTagValid</name>
            <Object>updateTagValid</Object>
            <Type>scalar</Type>
            <Scope/>
            <IOProtocol>ap_none</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>1</Bits>
            <Attribute>data</Attribute>
            <CType>bool</CType>
        </RtlPorts>
        <RtlPorts>
            <name>newData_address0</name>
            <Object>newData</Object>
            <Type>array</Type>
            <Scope/>
            <IOProtocol>ap_memory</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>2</Bits>
            <Attribute>address</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>newData_ce0</name>
            <Object>newData</Object>
            <Type>array</Type>
            <Scope/>
            <IOProtocol>ap_memory</IOProtocol>
            <IOConfig/>
            <Dir>out</Dir>
            <Bits>1</Bits>
            <Attribute>control</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>newData_q0</name>
            <Object>newData</Object>
            <Type>array</Type>
            <Scope/>
            <IOProtocol>ap_memory</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>8</Bits>
            <Attribute>data</Attribute>
            <CType>int</CType>
        </RtlPorts>
        <RtlPorts>
            <name>updateDataValid</name>
            <Object>updateDataValid</Object>
            <Type>scalar</Type>
            <Scope/>
            <IOProtocol>ap_none</IOProtocol>
            <IOConfig/>
            <Dir>in</Dir>
            <Bits>1</Bits>
            <Attribute>data</Attribute>
            <CType>bool</CType>
        </RtlPorts>
    </InterfaceSummary>
    <RTLDesignHierarchy>
        <TopModule MAX_DEPTH="3">
            <ModuleName>cache_module</ModuleName>
            <InstancesList>
                <Instance>
                    <InstName>grp_cache_module_Pipeline_VITIS_LOOP_11_1_fu_198</InstName>
                    <ModuleName>cache_module_Pipeline_VITIS_LOOP_11_1</ModuleName>
                    <IsCompInst>true</IsCompInst>
                    <ID>198</ID>
                    <BindInstances>add_ln11_1_fu_107_p2 add_ln11_fu_129_p2</BindInstances>
                </Instance>
            </InstancesList>
            <BindInstances>add_ln9_fu_235_p2 tmp_fu_297_p2 cacheMemory_U</BindInstances>
        </TopModule>
    </RTLDesignHierarchy>
    <ModuleInformation>
        <Module>
            <Name>cache_module_Pipeline_VITIS_LOOP_11_1</Name>
            <Loops>
                <VITIS_LOOP_11_1/>
            </Loops>
            <PerformanceEstimates>
                <SummaryOfTimingAnalysis>
                    <TargetClockPeriod>10.00</TargetClockPeriod>
                    <ClockUncertainty>2.70</ClockUncertainty>
                    <EstimatedClockPeriod>5.472</EstimatedClockPeriod>
                </SummaryOfTimingAnalysis>
                <SummaryOfOverallLatency>
                    <Best-caseLatency>7</Best-caseLatency>
                    <Average-caseLatency>7</Average-caseLatency>
                    <Worst-caseLatency>7</Worst-caseLatency>
                    <Best-caseRealTimeLatency>70.000 ns</Best-caseRealTimeLatency>
                    <Average-caseRealTimeLatency>70.000 ns</Average-caseRealTimeLatency>
                    <Worst-caseRealTimeLatency>70.000 ns</Worst-caseRealTimeLatency>
                    <PipelineInitiationInterval>7</PipelineInitiationInterval>
                    <PipelineType>no</PipelineType>
                </SummaryOfOverallLatency>
                <SummaryOfLoopLatency>
                    <VITIS_LOOP_11_1>
                        <Name>VITIS_LOOP_11_1</Name>
                        <TripCount>4</TripCount>
                        <Latency>5</Latency>
                        <AbsoluteTimeLatency>50.000 ns</AbsoluteTimeLatency>
                        <PipelineII>1</PipelineII>
                        <PipelineDepth>3</PipelineDepth>
                        <PipelineType>yes</PipelineType>
                        <InstanceList/>
                    </VITIS_LOOP_11_1>
                </SummaryOfLoopLatency>
            </PerformanceEstimates>
            <AreaEstimates>
                <Resources>
                    <FF>22</FF>
                    <AVAIL_FF>106400</AVAIL_FF>
                    <UTIL_FF>~0</UTIL_FF>
                    <LUT>280</LUT>
                    <AVAIL_LUT>53200</AVAIL_LUT>
                    <UTIL_LUT>~0</UTIL_LUT>
                    <BRAM_18K>0</BRAM_18K>
                    <AVAIL_BRAM>280</AVAIL_BRAM>
                    <UTIL_BRAM>0</UTIL_BRAM>
                    <DSP>0</DSP>
                    <AVAIL_DSP>220</AVAIL_DSP>
                    <UTIL_DSP>0</UTIL_DSP>
                    <URAM>0</URAM>
                    <AVAIL_URAM>0</AVAIL_URAM>
                    <UTIL_URAM>0</UTIL_URAM>
                </Resources>
            </AreaEstimates>
            <BindNodes>
                <BindNode BINDTYPE="op" BRAM="0" BUNDLEDNAME="" DISPNAME="bind_op add" DSP="0" ID="" IMPL="fabric" LATENCY="0" LOOP="VITIS_LOOP_11_1" OPTYPE="add" PRAGMA="" RTLNAME="add_ln11_1_fu_107_p2" SOURCE="dsd2-cache-memory/mem-example.cpp:11" URAM="0" VARIABLE="add_ln11_1"/>
                <BindNode BINDTYPE="op" BRAM="0" BUNDLEDNAME="" DISPNAME="bind_op add" DSP="0" ID="" IMPL="fabric" LATENCY="0" LOOP="VITIS_LOOP_11_1" OPTYPE="add" PRAGMA="" RTLNAME="add_ln11_fu_129_p2" SOURCE="dsd2-cache-memory/mem-example.cpp:11" URAM="0" VARIABLE="add_ln11"/>
            </BindNodes>
        </Module>
        <Module>
            <Name>cache_module</Name>
            <PerformanceEstimates>
                <SummaryOfTimingAnalysis>
                    <TargetClockPeriod>10.00</TargetClockPeriod>
                    <ClockUncertainty>2.70</ClockUncertainty>
                    <EstimatedClockPeriod>6.917</EstimatedClockPeriod>
                </SummaryOfTimingAnalysis>
                <SummaryOfOverallLatency>
                    <Best-caseLatency>4</Best-caseLatency>
                    <Average-caseLatency>10</Average-caseLatency>
                    <Worst-caseLatency>14</Worst-caseLatency>
                    <Best-caseRealTimeLatency>40.000 ns</Best-caseRealTimeLatency>
                    <Average-caseRealTimeLatency>0.100 us</Average-caseRealTimeLatency>
                    <Worst-caseRealTimeLatency>0.140 us</Worst-caseRealTimeLatency>
                    <PipelineInitiationInterval>5 ~ 15</PipelineInitiationInterval>
                    <PipelineType>no</PipelineType>
                </SummaryOfOverallLatency>
            </PerformanceEstimates>
            <AreaEstimates>
                <Resources>
                    <BRAM_18K>0</BRAM_18K>
                    <AVAIL_BRAM>280</AVAIL_BRAM>
                    <UTIL_BRAM>0</UTIL_BRAM>
                    <FF>164</FF>
                    <AVAIL_FF>106400</AVAIL_FF>
                    <UTIL_FF>~0</UTIL_FF>
                    <LUT>730</LUT>
                    <AVAIL_LUT>53200</AVAIL_LUT>
                    <UTIL_LUT>1</UTIL_LUT>
                    <URAM>0</URAM>
                    <AVAIL_URAM>0</AVAIL_URAM>
                    <UTIL_URAM>0</UTIL_URAM>
                    <DSP>0</DSP>
                    <AVAIL_DSP>220</AVAIL_DSP>
                    <UTIL_DSP>0</UTIL_DSP>
                </Resources>
            </AreaEstimates>
            <BindNodes>
                <BindNode BINDTYPE="op" BRAM="0" BUNDLEDNAME="" DISPNAME="bind_op add" DSP="0" ID="" IMPL="fabric" LATENCY="0" LOOP="" OPTYPE="add" PRAGMA="" RTLNAME="add_ln9_fu_235_p2" SOURCE="dsd2-cache-memory/mem-example.cpp:9" URAM="0" VARIABLE="add_ln9"/>
                <BindNode BINDTYPE="op" BRAM="0" BUNDLEDNAME="" DISPNAME="bind_op add" DSP="0" ID="" IMPL="fabric" LATENCY="0" LOOP="" OPTYPE="add" PRAGMA="" RTLNAME="tmp_fu_297_p2" SOURCE="dsd2-cache-memory/mem-example.cpp:7" URAM="0" VARIABLE="tmp"/>
                <BindNode BINDTYPE="storage" BRAM="0" BUNDLEDNAME="" DISPNAME="bind_storage ram_1p" DSP="0" ID="" IMPL="auto" LATENCY="1" LOOP="" OPTYPE="ram_1p" PRAGMA="" RTLNAME="cacheMemory_U" SOURCE="" URAM="0" VARIABLE="cacheMemory"/>
            </BindNodes>
        </Module>
    </ModuleInformation>
    <FIFOInformation/>
    <UserConfigCommands>
        <config_op>
            <ENTRY impl="all mul" latency="-1 mul" op="mul" precision="mul standard"/>
            <ENTRY impl="all add" latency="-1 add" op="add" precision="add standard"/>
            <ENTRY impl="all sub" latency="-1 sub" op="sub" precision="sub standard"/>
            <ENTRY impl="all fadd" latency="-1 fadd" op="fadd" precision="fadd standard"/>
            <ENTRY impl="all fsub" latency="-1 fsub" op="fsub" precision="fsub standard"/>
            <ENTRY impl="all fdiv" latency="-1 fdiv" op="fdiv" precision="fdiv standard"/>
            <ENTRY impl="all fexp" latency="-1 fexp" op="fexp" precision="fexp standard"/>
            <ENTRY impl="all flog" latency="-1 flog" op="flog" precision="flog standard"/>
            <ENTRY impl="all fmul" latency="-1 fmul" op="fmul" precision="fmul standard"/>
            <ENTRY impl="all frsqrt" latency="-1 frsqrt" op="frsqrt" precision="frsqrt standard"/>
            <ENTRY impl="all frecip" latency="-1 frecip" op="frecip" precision="frecip standard"/>
            <ENTRY impl="all fsqrt" latency="-1 fsqrt" op="fsqrt" precision="fsqrt standard"/>
            <ENTRY impl="all dadd" latency="-1 dadd" op="dadd" precision="dadd standard"/>
            <ENTRY impl="all dsub" latency="-1 dsub" op="dsub" precision="dsub standard"/>
            <ENTRY impl="all ddiv" latency="-1 ddiv" op="ddiv" precision="ddiv standard"/>
            <ENTRY impl="all dexp" latency="-1 dexp" op="dexp" precision="dexp standard"/>
            <ENTRY impl="all dlog" latency="-1 dlog" op="dlog" precision="dlog standard"/>
            <ENTRY impl="all dmul" latency="-1 dmul" op="dmul" precision="dmul standard"/>
            <ENTRY impl="all drsqrt" latency="-1 drsqrt" op="drsqrt" precision="drsqrt standard"/>
            <ENTRY impl="all drecip" latency="-1 drecip" op="drecip" precision="drecip standard"/>
            <ENTRY impl="all dsqrt" latency="-1 dsqrt" op="dsqrt" precision="dsqrt standard"/>
            <ENTRY impl="all hadd" latency="-1 hadd" op="hadd" precision="hadd standard"/>
            <ENTRY impl="all hsub" latency="-1 hsub" op="hsub" precision="hsub standard"/>
            <ENTRY impl="all hdiv" latency="-1 hdiv" op="hdiv" precision="hdiv standard"/>
            <ENTRY impl="all hmul" latency="-1 hmul" op="hmul" precision="hmul standard"/>
            <ENTRY impl="all hsqrt" latency="-1 hsqrt" op="hsqrt" precision="hsqrt standard"/>
            <ENTRY impl="all facc" latency="-1 facc" op="facc" precision="facc standard"/>
            <ENTRY impl="all fmacc" latency="-1 fmacc" op="fmacc" precision="fmacc standard"/>
            <ENTRY impl="all fmadd" latency="-1 fmadd" op="fmadd" precision="fmadd standard"/>
        </config_op>
        <config_storage>
            <ENTRY auto_srl_max_bits="1024 fifo" auto_srl_max_depth="2 fifo" impl="autosrl fifo" type="fifo"/>
        </config_storage>
    </UserConfigCommands>
    <Args>
        <Arg ArgName="address" index="0" direction="in" srcType="Address" srcSize="32">
            <hwRefs>
                <hwRef type="port" interface="address" name="address" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="dirty" index="1" direction="out" srcType="bool&amp;" srcSize="1">
            <hwRefs>
                <hwRef type="port" interface="dirty" name="dirty" usage="data" direction="out"/>
                <hwRef type="port" interface="dirty_ap_vld" name="dirty_ap_vld" usage="control" direction="out"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="hit" index="2" direction="out" srcType="bool&amp;" srcSize="1">
            <hwRefs>
                <hwRef type="port" interface="hit" name="hit" usage="data" direction="out"/>
                <hwRef type="port" interface="hit_ap_vld" name="hit_ap_vld" usage="control" direction="out"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="data" index="3" direction="out" srcType="unsigned char&amp;" srcSize="8">
            <hwRefs>
                <hwRef type="port" interface="data" name="data" usage="data" direction="out"/>
                <hwRef type="port" interface="data_ap_vld" name="data_ap_vld" usage="control" direction="out"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="updateSet" index="4" direction="in" srcType="unsigned char" srcSize="8">
            <hwRefs>
                <hwRef type="port" interface="updateSet" name="updateSet" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="updateWay" index="5" direction="in" srcType="unsigned char" srcSize="8">
            <hwRefs>
                <hwRef type="port" interface="updateWay" name="updateWay" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="newTag" index="6" direction="in" srcType="unsigned int" srcSize="32">
            <hwRefs>
                <hwRef type="port" interface="newTag" name="newTag" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="updateTagValid" index="7" direction="in" srcType="bool" srcSize="1">
            <hwRefs>
                <hwRef type="port" interface="updateTagValid" name="updateTagValid" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="newData" index="8" direction="in" srcType="unsigned char*" srcSize="8">
            <hwRefs>
                <hwRef type="port" interface="newData_address0" name="newData_address0" usage="address" direction="out"/>
                <hwRef type="port" interface="newData_ce0" name="newData_ce0" usage="control" direction="out"/>
                <hwRef type="port" interface="newData_q0" name="newData_q0" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
        <Arg ArgName="updateDataValid" index="9" direction="in" srcType="bool" srcSize="1">
            <hwRefs>
                <hwRef type="port" interface="updateDataValid" name="updateDataValid" usage="data" direction="in"/>
            </hwRefs>
        </Arg>
    </Args>
    <Interfaces>
        <Interface InterfaceName="ap_clk" type="clock" busTypeName="clock" mode="slave">
            <busParams>
                <busParam busParamName="ASSOCIATED_RESET">ap_rst</busParam>
            </busParams>
            <portMaps>
                <portMap portMapName="ap_clk">CLK</portMap>
            </portMaps>
            <ports>
                <port>ap_clk</port>
            </ports>
        </Interface>
        <Interface InterfaceName="ap_rst" type="reset" busTypeName="reset" mode="slave">
            <busParams>
                <busParam busParamName="POLARITY">ACTIVE_HIGH</busParam>
            </busParams>
            <portMaps>
                <portMap portMapName="ap_rst">RST</portMap>
            </portMaps>
            <ports>
                <port>ap_rst</port>
            </ports>
        </Interface>
        <Interface InterfaceName="ap_ctrl" type="ap_ctrl" busTypeName="acc_handshake" mode="slave">
            <portMaps>
                <portMap portMapName="ap_start">start</portMap>
                <portMap portMapName="ap_done">done</portMap>
                <portMap portMapName="ap_idle">idle</portMap>
                <portMap portMapName="ap_ready">ready</portMap>
            </portMaps>
            <ports>
                <port>ap_done</port>
                <port>ap_idle</port>
                <port>ap_ready</port>
                <port>ap_start</port>
            </ports>
        </Interface>
        <Interface InterfaceName="address" type="data" busTypeName="data" protocol="ap_none" mode="slave" dataWidth="32">
            <portMaps>
                <portMap portMapName="address">DATA</portMap>
            </portMaps>
            <ports>
                <port>address</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="address"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="dirty" type="data" busTypeName="data" protocol="ap_vld" mode="master" dataWidth="1">
            <portMaps>
                <portMap portMapName="dirty">DATA</portMap>
            </portMaps>
            <ports>
                <port>dirty</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="dirty"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="hit" type="data" busTypeName="data" protocol="ap_vld" mode="master" dataWidth="1">
            <portMaps>
                <portMap portMapName="hit">DATA</portMap>
            </portMaps>
            <ports>
                <port>hit</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="hit"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="data" type="data" busTypeName="data" protocol="ap_vld" mode="master" dataWidth="8">
            <portMaps>
                <portMap portMapName="data">DATA</portMap>
            </portMaps>
            <ports>
                <port>data</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="data"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="updateSet" type="data" busTypeName="data" protocol="ap_none" mode="slave" dataWidth="8">
            <portMaps>
                <portMap portMapName="updateSet">DATA</portMap>
            </portMaps>
            <ports>
                <port>updateSet</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="updateSet"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="updateWay" type="data" busTypeName="data" protocol="ap_none" mode="slave" dataWidth="8">
            <portMaps>
                <portMap portMapName="updateWay">DATA</portMap>
            </portMaps>
            <ports>
                <port>updateWay</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="updateWay"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="newTag" type="data" busTypeName="data" protocol="ap_none" mode="slave" dataWidth="32">
            <portMaps>
                <portMap portMapName="newTag">DATA</portMap>
            </portMaps>
            <ports>
                <port>newTag</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="newTag"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="updateTagValid" type="data" busTypeName="data" protocol="ap_none" mode="slave" dataWidth="1">
            <portMaps>
                <portMap portMapName="updateTagValid">DATA</portMap>
            </portMaps>
            <ports>
                <port>updateTagValid</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="updateTagValid"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="newData_address0" type="data" busTypeName="data" protocol="ap_memory" mode="master" dataWidth="2">
            <portMaps>
                <portMap portMapName="newData_address0">DATA</portMap>
            </portMaps>
            <ports>
                <port>newData_address0</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_memory" register_option="0" argName="newData"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="newData_q0" type="data" busTypeName="data" protocol="ap_memory" mode="slave" dataWidth="8">
            <portMaps>
                <portMap portMapName="newData_q0">DATA</portMap>
            </portMaps>
            <ports>
                <port>newData_q0</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_memory" register_option="0" argName="newData"/>
            </constraints>
        </Interface>
        <Interface InterfaceName="updateDataValid" type="data" busTypeName="data" protocol="ap_none" mode="slave" dataWidth="1">
            <portMaps>
                <portMap portMapName="updateDataValid">DATA</portMap>
            </portMaps>
            <ports>
                <port>updateDataValid</port>
            </ports>
            <constraints>
                <constraint constraint_type="pragma interface" mode="ap_none" register_option="0" argName="updateDataValid"/>
            </constraints>
        </Interface>
    </Interfaces>
    <ReportHWInterface>
        <section name="HW Interfaces" level="0">
            <item name="AP_MEMORY">
                <table isCollapsed="0">
                    <keys size="2">Interface, Bitwidth</keys>
                    <column name="newData_address0">2, , </column>
                    <column name="newData_q0">8, , </column>
                </table>
            </item>
            <item name="REGISTER">
                <table isCollapsed="0">
                    <keys size="3">Interface, Mode, Bitwidth</keys>
                    <column name="address">ap_none, 32, , </column>
                    <column name="data">ap_none, 8, , </column>
                    <column name="dirty">ap_none, 1, , </column>
                    <column name="hit">ap_none, 1, , </column>
                    <column name="newTag">ap_none, 32, , </column>
                    <column name="updateDataValid">ap_none, 1, , </column>
                    <column name="updateSet">ap_none, 8, , </column>
                    <column name="updateTagValid">ap_none, 1, , </column>
                    <column name="updateWay">ap_none, 8, , </column>
                </table>
            </item>
            <item name="TOP LEVEL CONTROL">
                <table isCollapsed="0">
                    <keys size="3">Interface, Type, Ports</keys>
                    <column name="ap_clk">clock, ap_clk, </column>
                    <column name="ap_rst">reset, ap_rst, </column>
                    <column name="ap_ctrl">ap_ctrl_hs, ap_done ap_idle ap_ready ap_start, </column>
                </table>
            </item>
        </section>
    </ReportHWInterface>
    <ReportSWInterface>
        <section name="SW I/O Information" level="0">
            <item name="Top Function Arguments">
                <table isCollapsed="1">
                    <keys size="3">Argument, Direction, Datatype</keys>
                    <column name="address">in, Address</column>
                    <column name="dirty">out, bool&amp;</column>
                    <column name="hit">out, bool&amp;</column>
                    <column name="data">out, unsigned char&amp;</column>
                    <column name="updateSet">in, unsigned char</column>
                    <column name="updateWay">in, unsigned char</column>
                    <column name="newTag">in, unsigned int</column>
                    <column name="updateTagValid">in, bool</column>
                    <column name="newData">in, unsigned char*</column>
                    <column name="updateDataValid">in, bool</column>
                </table>
            </item>
            <item name="SW-to-HW Mapping">
                <table isCollapsed="1">
                    <keys size="4">Argument, HW Interface, HW Type, HW Usage</keys>
                    <column name="address">address, port, , </column>
                    <column name="dirty">dirty, port, , </column>
                    <column name="dirty">dirty_ap_vld, port, , </column>
                    <column name="hit">hit, port, , </column>
                    <column name="hit">hit_ap_vld, port, , </column>
                    <column name="data">data, port, , </column>
                    <column name="data">data_ap_vld, port, , </column>
                    <column name="updateSet">updateSet, port, , </column>
                    <column name="updateWay">updateWay, port, , </column>
                    <column name="newTag">newTag, port, , </column>
                    <column name="updateTagValid">updateTagValid, port, , </column>
                    <column name="newData">newData_address0, port, offset, </column>
                    <column name="newData">newData_ce0, port, , </column>
                    <column name="newData">newData_q0, port, , </column>
                    <column name="updateDataValid">updateDataValid, port, , </column>
                </table>
            </item>
        </section>
    </ReportSWInterface>
    <ReportBurst>
        <section name="M_AXI Burst Information" level="0" HEADER_NOTE="Note: All burst requests might be further partitioned into multiple requests during RTL generation based on max_read_burst_length or max_write_burst_length settings."/>
    </ReportBurst>
    <PragmaReport/>
</profile>

